EDIT - feature request #4490

Make the label of the taxon page tabs customizable for portal admins
11/20/2014 12:05 PM - Patrick Plitzner

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 50%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 4.5

Severity: normal

Description

For the specimen tab:

"I think that "Specimens" might be a good default and only if you also handle observations you may change the label if you
want.(a.mueller, see comment 2)"

once this is implemented and release the following adaptions are to be applied:
e Campanula: Specimens --> Specimens & Observations

¢ Rubiaceae de Mexico: Synonymie --> Nomenclature

Associated revisions

Revision 4feeabc7 - 12/16/2016 02:14 PM - Andreas Kohlbecker

fix #4490 taxon page tab labels configurable and fixing translation issue with menu items

Revision ed0183ea - 12/16/2016 02:26 PM - Andreas Kohlbecker

ref #4490 cleaning up: removing theme registry entry

Revision 2a61a296 - 12/16/2016 02:35 PM - Andreas Kohlbecker

ref #4490 improving settings documentation

Revision 93115722 - 01/20/2017 10:51 AM - Andreas Kohlbecker

ref #4490 automatic menu cache refresh after tab label changes

History

#1 - 11/20/2014 01:00 PM - Andreas Kohlbecker

- Subject changed from Make the label of the "Specimen" tab customizable for portal admins to Make the label of the taxon page tabs customizable for
portal admins

This should be solved in a general way, therefore | am changing the ticket title.

Its already implementd in the theme function theme_cdm_taxonpage_tab()() which soon should be replaced by
cdm_dataportal_preprocess_menu_local_tasks() which is not jet fully implement. The following two features are missing:

e a text field for each of the tabs to specify an alternative label

¢ code in cdm_dataportal_preprocess_menu_local_tasks() which sets the alternative label
Additional maintenance task:

e check the portals for alternative tab labels and list the actions which need to be done after a deploy of this feature in each of the portals
#2 - 11/20/2014 04:19 PM - Andreas Miiller

Have we agreed on "Specimens & Observations"? Labeles should be short | We also discussed "Occurrences". As we have many Flora and
Checklist users | think that "Specimens" might be a good default and only if you also handle observations you may change the label if you want.
#3 - 07/01/2016 11:34 AM - Andreas Kohlbecker
- Keywords set to mexico,
- Target version changed from cdm_dataportal - Next Major Release to Release 4.3

- Priority changed from New to Highest

#4 - 09/26/2016 09:58 AM - Andreas Miiller

- Target version changed from Release 4.3 to Release 4.4

#5 - 11/21/2016 01:22 PM - Andreas Kohlbecker
- Description updated

- Target version changed from Release 4.4 to Release 4.5

#6 - 12/16/2016 02:14 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-dataportal|4feeabc7eb75a09ab5a445413a4b6a3505¢c49e37.

#7 - 12/16/2016 02:37 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Miller

@ Andreas M.:

When reviewing you can take a look at

http:/test.e-taxonomy.eu/dataportal/preview/rubiaceae-mexico/admin/config/cdm_dataportal/settings/layout/taxon where the Synonymie has been
overridden by Nomenclature.

#8 - 01/19/2017 01:56 PM - Andreas Miuller

- Private changed from Yes to No

#9 - 01/19/2017 11:00 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Andreas Kohlbecker

| switched it on for Campanula and Mexico Rubiaceae.
Worked for Rubiaceae after a couple of refreshs. For Campanula it worked only in the menu (untabbed version) but not in the tab. But maybe it is also

only a refresh issue. Is it possible to automatically refresh those services which are responsible for it. This makes it easier to use and test for a user. If
not possible there should be some help/documentation saying what to do to really make it happen in the tested portal.

An example for campanula is http://campanula.e-taxonomy.net/cdm_dataportal/taxon/85cb1104-b1c9-459d-840e-4329be8bd5b5/specimens (needs
login). Currently it does not show the new label on my machine.

Also | wonder if 118n works somehow on the terms. For Mexico it is important. Can we at least use the standard drupal way for translating terms. A
better solution of course would be to allow to add translations more directly.

A last issue: if possible it would be more intuitive if the label textfields could be placed just beside the according visibility checkboxes instead of having
a separate section for the labels. Also this makes the configuration interface more compact.

#10 - 01/20/2017 10:51 AM - Andreas Kohlbecker
- Status changed from Feedback to Resolved

- Assignee changed from Andreas Kohlbecker to Andreas Mtiller

The menu cache is now refreshed automatically.

#11 - 02/17/2017 12:20 AM - Andreas Miiller

Andreas Muller wrote:

A last issue: if possible it would be more intuitive if the label textfields could be placed just beside the according visibility checkboxes instead of
having a separate section for the labels. Also this makes the configuration interface more compact.
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-dataportal/revisions/4feeabc7eb75a09ab5a445413a4b6a3505c49e37
http://test.e-taxonomy.eu/dataportal/preview/rubiaceae-mexico/admin/config/cdm_dataportal/settings/layout/taxon
http://campanula.e-taxonomy.net/cdm_dataportal/taxon/85cb1104-b1c9-459d-840e-4329be8bd5b5/specimens

AK: this is difficult to implement

#12 - 03/01/2017 03:08 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Andreas Kohlbecker
